
using Godot;
using System;
using Cirno.Scripts.Resources;
using Cirno.Scripts.Resources.DebugMenu;
using Godot.Collections;

public partial class MenuBase : Control
{
    [Signal]
    public delegate void MenuClosedEventHandler();

    protected virtual void _on_back_button_pressed()
    {
        CloseMenu();
    }

    protected void CloseMenu()
    {
        this.QueueFree();

        EmitSignal(SignalName.MenuClosed);
    }
}